std::binary_function< _Arg1, _Arg2, _Result >(3)

NAME
std::binary_function< _Arg1, _Arg2, _Result > -

SYNOPSIS

Inherited by __gnu_cxx::_Project1st< _Arg1, _Arg2 >, __gnu_cxx::_Project2nd< _Arg1, _Arg2 >, and std::pointer_to_binary_function< _Arg1, _Arg2, _Result >.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

Detailed Description

  template<typename _Arg1, typename _Arg2, typename _Result>struct std::binary_function< _Arg1, _Arg2, _Result >
This is one of the functor base classes.

Definition at line 114 of file stl_function.h.

Member Typedef Documentation

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

first_argument_type is the type of the first argument

Definition at line 117 of file stl_function.h.

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

result_type is the return type

Definition at line 123 of file stl_function.h.

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

second_argument_type is the type of the second argument

Definition at line 120 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.